#!/bin/sh
set -e -u
cp 'test-instr.c' "$AUTOPKGTEST_TMP"
cd "$AUTOPKGTEST_TMP"
for CC in afl-clang-fast 'afl-clang-fast++ -x c++'
do
    make -B 'test-instr' CC="$CC"
	echo 0 | afl-showmap -q -o out0 ./test-instr
	echo 1 | afl-showmap -q -o out1 ./test-instr
	! diff -u out0 out1
done

# vim:ts=4 sts=4 sw=4 et
